PERF-BUILDID-CACHE(1)

NAME
perf-buildid-cache - Manage build-id cache.

SYNOPSIS

perf buildid-cache <options>

DESCRIPTION

This command manages the build-id cache. It can add, remove, update and purge files to/from the cache. In the future it should as well set upper limits for the space used by the cache, etc.

OPTIONS

-a, --add=
    Add specified file to the cache.

-k, --kcore
    Add specified kcore file to the cache. For the current host that is /proc/kcore which requires root permissions to read. Be aware that running perf buildid-cache as root may update root’s build-id cache not the user’s. Use the -v option to see where the file is created. Note that the copied file contains only code sections not the whole core image. Note also that files "kallsyms" and "modules" must also be in the same directory and are also copied. All 3 files are created with read permissions for root only. kcore will not be added if there is already a kcore in the cache (with the same build-id) that has the same modules at the same addresses. Use the -v option to see if a copy of kcore is actually made.

-r, --remove=
    Remove a cached binary which has same build-id of specified file from the cache.

-p, --purge=
    Purge all cached binaries including older caches which have specified path from the cache.

-M, --missing=
    List missing build ids in the cache for the specified file.

-u, --update=
    Update specified file of the cache. Note that this doesn’t remove older entires since those may be still needed for annotating old (or remote) perf.data. Only if there is already a cache which has exactly same build-id, that is replaced by new one. It can be used to update kallsyms and kernel dso to vmlinux in order to support annotation.

-v, --verbose
    Be more verbose.

SEE ALSO

perf-record(1), perf-report(1), perf-buildid-list(1)